VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::EnumerationInfo Class Reference

The `EnumerationInfo` class contains the metamodel information of an enumeration element. More...

List of all members.

## Public Member Functions
| EnumerationInfo ()
| Creates a default new instance.
string | GetName ()
| Dot separated name of the enumeration element.
void | SetName (string name)
| Dot separated name of the enumeration element.
global::System.Collections.Generic.List < vmware.vapi.metadata.metamodel.EnumerationValueInfo > | GetValues ()
| Metamodel information of all the enumeration value elements contained in this enumeration element.
void | SetValues (global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.EnumerationValueInfo > values)
| Metamodel information of all the enumeration value elements contained in this enumeration element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for an enumeration element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for an enumeration element.
string | GetDocumentation ()
| English language documentation for an enumeration element.
void | SetDocumentation (string documentation)
| English language documentation for an enumeration element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `EnumerationInfo` class contains the metamodel information of an enumeration element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::EnumerationInfo::EnumerationInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::EnumerationInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::EnumerationInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::EnumerationInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::EnumerationInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::EnumerationInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::EnumerationInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::EnumerationInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for an enumeration element.

It can contain HTML markup and Javadoc tags. The first sentence of the enumeration documentation is a complete sentence that identifies the enumeration by name and summarizes the purpose of the enumeration. The documentation describes the context in which the enumeration is used.

The documentation also contains references to the context in which the enumeration is used. But if the enumeration is used in many contexts, the references may not be present.

override int vmware::vapi::metadata::metamodel::EnumerationInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::EnumerationInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for an enumeration element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::EnumerationInfo::GetName | ( |  | ) | `[inline]`

Dot separated name of the enumeration element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

global::System.Collections.Generic.List<vmware.vapi.metadata.metamodel.EnumerationValueInfo> vmware::vapi::metadata::metamodel::EnumerationInfo::GetValues | ( |  | ) | `[inline]`

Metamodel information of all the enumeration value elements contained in this enumeration element.

The order of the enumeration value elements in the list is same as the order in which they are defined in the interface definition file.

void vmware::vapi::metadata::metamodel::EnumerationInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for an enumeration element.

It can contain HTML markup and Javadoc tags. The first sentence of the enumeration documentation is a complete sentence that identifies the enumeration by name and summarizes the purpose of the enumeration. The documentation describes the context in which the enumeration is used.

The documentation also contains references to the context in which the enumeration is used. But if the enumeration is used in many contexts, the references may not be present.

void vmware::vapi::metadata::metamodel::EnumerationInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for an enumeration element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::EnumerationInfo::SetName | ( | string | name | ) | `[inline]`

Dot separated name of the enumeration element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::EnumerationInfo::SetValues | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.EnumerationValueInfo > | values | ) | `[inline]`

Metamodel information of all the enumeration value elements contained in this enumeration element.

The order of the enumeration value elements in the list is same as the order in which they are defined in the interface definition file.

override string vmware::vapi::metadata::metamodel::EnumerationInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- EnumerationInfo.cs